org.apache.cassandra.security

## Interface KeyProvider

- All Known Implementing Classes:
    JKSKeyProvider

      public interface KeyProvider

  Customizable key retrieval mechanism. Implementations should expect that retrieved keys will be cached. Further, each key will be requested non-concurrently (that is, no stampeding herds for the same key), although unique keys may be requested concurrently (unless you mark `getSecretKey` synchronized). Implementations must provide a constructor that accepts `TransparentDataEncryptionOptions` as the sole parameter.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.security.Key` | `getSecretKey(java.lang.String alias)`

- - ### Method Detail

    - #### getSecretKey

          java.security.Key getSecretKey(java.lang.String alias)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation